std::pmr::operator==,std::pmr::operator!=(3)

NAME
std::pmr::operator==,std::pmr::operator!= - std::pmr::operator==,std::pmr::operator!=

Synopsis
   Defined in header <memory_resource>
   bool operator==( const std::pmr::memory_resource& a, (1) (since C++17)
                    const std::pmr::memory_resource& b ) noexcept;
   bool operator!=( const std::pmr::memory_resource& a, (2) (since C++17)
                    const std::pmr::memory_resource& b ) noexcept; (until C++20)
   Compares the memory_resources a and b for equality. Two memory_resources compare
   equal if and only if memory allocated from one memory_resource can be deallocated
   from the other and vice versa.
   The != operator is synthesized from operator==. (since C++20)

Return value
   1) &a == &b || a.is_equal(b)
   2) !(a == b)

See also
   is_equal compare for equality with another memory_resource
            (public member function)